<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Ics;

abstract class IcsKalenderController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  
  protected function getRequestObj()
  {
    $requestObj = new IcsKalenderRequest();
    $knrString = \GetOperations::getVarValue('kursnummern');
    $requestObj->kursnummern = explode(':', $knrString);
    $requestObj->terminbereich = \PostOperations::getVarValue('terminbereich', 'alle');

    return $requestObj;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new IcsKalenderPresenter($pUseCaseResponse);
  }
}